#ifndef MAIN_WINDOW_H
#define MAIN_WINDOW_H

#include <QObject>
#include <QDialog>
#include <QPainter>
#include <QPixmap>
#include <QLabel>
#include <QGridLayout>
#include "v4l2_camera_view.h"

namespace Ui {
class main_window;
}

class main_window : public QDialog
{
    Q_OBJECT
    
public:
    explicit main_window(QWidget *parent = 0);
    ~main_window();
    void view(void);

public slots:
    void changeResolutionVGA();
    void changeResolutionQVGA();
    void toggleLED();

private:
    Ui::main_window *ui;
    V4l2CameraView *cameraView;
    bool led;

protected:
    //void paintEvent(QPaintEvent *);

private slots:

};





#endif // MAIN_WINDOW_H
